| # Gaudi Framework, version v20r2
Generated: 18 Jul 2008

- Main Page
- Namespaces
- Classes
- Files
- Directories
- Related Pages

- Search for |

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# NameAuditor Class Reference

`#include <NameAuditor.h>`

Inheritance diagram for NameAuditor:

[legend]
Collaboration diagram for NameAuditor:

[legend]
List of all members.

## Detailed Description

Definition at line 15 of file NameAuditor.h.

## Public Member Functions
| NameAuditor (const std::string &name, ISvcLocator *pSvcLocator)
virtual | ~NameAuditor ()
virtual void | beforeInitialize (INamedInterface *alg)
virtual void | afterInitialize (INamedInterface *alg)
virtual void | beforeReinitialize (INamedInterface *alg)
virtual void | afterReinitialize (INamedInterface *alg)
virtual void | beforeExecute (INamedInterface *alg)
virtual void | afterExecute (INamedInterface *alg, const StatusCode &)
virtual void | beforeBeginRun (INamedInterface *alg)
virtual void | afterBeginRun (INamedInterface *alg)
virtual void | beforeEndRun (INamedInterface *alg)
virtual void | afterEndRun (INamedInterface *alg)
virtual void | beforeFinalize (INamedInterface *alg)
virtual void | afterFinalize (INamedInterface *alg)

## Constructor & Destructor Documentation

NameAuditor::NameAuditor | ( | const std::string & | name,
|  | ISvcLocator * | pSvcLocator |
| ) |  |  |

Definition at line 13 of file NameAuditor.cpp.

    00013                                                                         :
    00014   Auditor(name, pSvcLocator)
    00015 {
    00016 }

NameAuditor::~NameAuditor | ( |  | ) | `[virtual]`

Definition at line 18 of file NameAuditor.cpp.

    00018                          {
    00019 }

## Member Function Documentation

void NameAuditor::beforeInitialize | ( | INamedInterface * | alg | ) | `[virtual]`

Deprecated:
  use before

Reimplemented from Auditor.

Definition at line 21 of file NameAuditor.cpp.

References endreq(), MSG::INFO, Auditor::msgSvc(), INamedInterface::name(), and Auditor::name().

    00021                                                        {
    00022   MsgStream log(msgSvc(), name());
    00023   log << MSG::INFO << " About to Enter " << alg->name() <<
    00024   " Initialization Method" << endreq;
    00025 }

void NameAuditor::afterInitialize | ( | INamedInterface * | alg | ) | `[virtual]`

Deprecated:
  use after

Reimplemented from Auditor.

Definition at line 26 of file NameAuditor.cpp.

References endreq(), MSG::INFO, Auditor::msgSvc(), INamedInterface::name(), and Auditor::name().

    00026                                                       {
    00027   MsgStream log(msgSvc(), name());
    00028   log << MSG::INFO << "Just Exited " << alg->name() <<
    00029   " Initialization Method" << endreq;
    00030 }

void NameAuditor::beforeReinitialize | ( | INamedInterface * | alg | ) | `[virtual]`

Deprecated:
  use before

Reimplemented from Auditor.

Definition at line 32 of file NameAuditor.cpp.

References endreq(), MSG::INFO, Auditor::msgSvc(), INamedInterface::name(), and Auditor::name().

    00032                                                          {
    00033   MsgStream log(msgSvc(), name());
    00034   log << MSG::INFO << " About to Enter " << alg->name() <<
    00035   " Reinitialization Method" << endreq;
    00036 }

void NameAuditor::afterReinitialize | ( | INamedInterface * | alg | ) | `[virtual]`

Deprecated:
  use after

Reimplemented from Auditor.

Definition at line 37 of file NameAuditor.cpp.

References endreq(), MSG::INFO, Auditor::msgSvc(), INamedInterface::name(), and Auditor::name().

    00037                                                         {
    00038   MsgStream log(msgSvc(), name());
    00039   log << MSG::INFO << "Just Exited " << alg->name() <<
    00040   " Reinitialization Method" << endreq;
    00041 }

void NameAuditor::beforeExecute | ( | INamedInterface * | alg | ) | `[virtual]`

Deprecated:
  use before

Reimplemented from Auditor.

Definition at line 43 of file NameAuditor.cpp.

References endreq(), MSG::INFO, Auditor::msgSvc(), INamedInterface::name(), and Auditor::name().

    00043                                                     {
    00044   MsgStream log(msgSvc(), name());
    00045   log <<  MSG::INFO << "About to Enter " << alg->name() <<
    00046   " Execute Method" << endreq;
    00047 }

void NameAuditor::afterExecute | ( | INamedInterface * | alg,
|  | const StatusCode & |  |
| ) |  |  | `[virtual]`

Deprecated:
  use after

Reimplemented from Auditor.

Definition at line 48 of file NameAuditor.cpp.

References endreq(), MSG::INFO, Auditor::msgSvc(), INamedInterface::name(), and Auditor::name().

    00048                                                                         {
    00049   MsgStream log(msgSvc(), name());
    00050   log <<  MSG::INFO << "Just Exited " << alg->name() <<
    00051   " Execute Method" << endreq;
    00052 }

void NameAuditor::beforeBeginRun | ( | INamedInterface * | alg | ) | `[virtual]`

Deprecated:
  use before

Reimplemented from Auditor.

Definition at line 54 of file NameAuditor.cpp.

References endreq(), MSG::INFO, Auditor::msgSvc(), INamedInterface::name(), and Auditor::name().

    00054                                                      {
    00055   MsgStream log(msgSvc(), name());
    00056   log << MSG::INFO << " About to Enter " << alg->name() <<
    00057   " BeginRun Method" << endreq;
    00058 }

void NameAuditor::afterBeginRun | ( | INamedInterface * | alg | ) | `[virtual]`

Deprecated:
  use after

Reimplemented from Auditor.

Definition at line 59 of file NameAuditor.cpp.

References endreq(), MSG::INFO, Auditor::msgSvc(), INamedInterface::name(), and Auditor::name().

    00059                                                     {
    00060   MsgStream log(msgSvc(), name());
    00061   log << MSG::INFO << "Just Exited " << alg->name() <<
    00062   " BeginRun Method" << endreq;
    00063 }

void NameAuditor::beforeEndRun | ( | INamedInterface * | alg | ) | `[virtual]`

Deprecated:
  use before

Reimplemented from Auditor.

Definition at line 64 of file NameAuditor.cpp.

References endreq(), MSG::INFO, Auditor::msgSvc(), INamedInterface::name(), and Auditor::name().

    00064                                                    {
    00065   MsgStream log(msgSvc(), name());
    00066   log << MSG::INFO << " About to Enter " << alg->name() <<
    00067   " EndRun Method" << endreq;
    00068 }

void NameAuditor::afterEndRun | ( | INamedInterface * | alg | ) | `[virtual]`

Deprecated:
  use after

Reimplemented from Auditor.

Definition at line 69 of file NameAuditor.cpp.

References endreq(), MSG::INFO, Auditor::msgSvc(), INamedInterface::name(), and Auditor::name().

    00069                                                   {
    00070   MsgStream log(msgSvc(), name());
    00071   log << MSG::INFO << "Just Exited " << alg->name() <<
    00072   " EndRun Method" << endreq;
    00073 }

void NameAuditor::beforeFinalize | ( | INamedInterface * | alg | ) | `[virtual]`

Deprecated:
  use before

Reimplemented from Auditor.

Definition at line 75 of file NameAuditor.cpp.

References endreq(), MSG::INFO, Auditor::msgSvc(), INamedInterface::name(), and Auditor::name().

    00075                                                       {
    00076   MsgStream log(msgSvc(), name());
    00077   log <<  MSG::INFO << "About to Enter " << alg->name() <<
    00078   " Finalize Method" << endreq;
    00079 }

void NameAuditor::afterFinalize | ( | INamedInterface * | alg | ) | `[virtual]`

Deprecated:
  use after

Reimplemented from Auditor.

Definition at line 80 of file NameAuditor.cpp.

References endreq(), MSG::INFO, Auditor::msgSvc(), INamedInterface::name(), and Auditor::name().

    00080                                                     {
    00081   MsgStream log(msgSvc(), name());
    00082   log << MSG::INFO << "Just Exited " << alg->name() <<
    00083   " Finalize Method" << endreq;
    00084 }

The documentation for this class was generated from the following files:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiAud/v8r6/src/NameAuditor.h
- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r2/GaudiAud/v8r6/src/NameAuditor.cpp